# Publication

interface Publication : Named

A publication is a description of a consumable representation of one or more artifacts, and possibly associated metadata.

#### Since

1.3

#### Inheritors

IvyPublication
MavenPublication

## Functions

getName
Link copied to clipboard
abstract fun getName(): String
withBuildIdentifier
Link copied to clipboard
abstract fun withBuildIdentifier()
Enables publication of a unique build identifier in Gradle Module Metadata.
withoutBuildIdentifier
Link copied to clipboard
abstract fun withoutBuildIdentifier()
Disables publication of a unique build identifier in Gradle Module Metadata.